=== modified file 'client/client_priv.h'
--- client/client_priv.h	2008-10-22 01:52:54 +0000
+++ client/client_priv.h	2008-11-15 18:36:31 +0000
@@ -20,6 +20,7 @@
 #include <mystrings/m_string.h>
 #include <libdrizzle/libdrizzle.h>
 #include <libdrizzle/errmsg.h>
+#include <libdrizzle/password.h>
 #include <libdrizzle/get_password.h>
 #include <mysys/my_getopt.h>
 

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2008-10-30 18:03:59 +0000
+++ client/drizzledump.cc	2008-11-15 18:36:31 +0000
@@ -2228,7 +2228,7 @@
                 if (opt_hex_blob && is_blob)
                 {
                   extended_row.append("0x");
-                  drizzle_hex_string(tmp_str, row[i], length);
+                  octet2hex(tmp_str, row[i], length);
                   extended_row.append(tmp_str);
                 }
                 else

=== modified file 'libdrizzle/drizzle.c'
--- libdrizzle/drizzle.c	2008-11-07 00:17:38 +0000
+++ libdrizzle/drizzle.c	2008-11-15 18:36:31 +0000
@@ -245,7 +245,7 @@
     char port_buf[NI_MAXSERV];
 
     if (!port)
-      port= drizzle_port;
+      port= drizzle_get_default_port();
 
     if (!host)
       host= LOCAL_HOST;

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-10-23 02:48:56 +0000
+++ libdrizzle/libdrizzle.c	2008-11-15 18:36:31 +0000
@@ -530,39 +530,6 @@
 }
 
 /*
-  This function is used to create HEX string that you
-  can use in a SQL statement in of the either ways:
-    INSERT INTO blob_column VALUES (0xAABBCC);  (any DRIZZLE version)
-    INSERT INTO blob_column VALUES (X'AABBCC'); 
-  
-  The string in "from" is encoded to a HEX string.
-  The result is placed in "to" and a terminating null byte is appended.
-  
-  The string pointed to by "from" must be "length" bytes long.
-  You must allocate the "to" buffer to be at least length*2+1 bytes long.
-  Each character needs two bytes, and you need room for the terminating
-  null byte. When drizzle_hex_string() returns, the contents of "to" will
-  be a null-terminated string. The return value is the length of the
-  encoded string, not including the terminating null character.  The return value does not contain any leading 0x or a leading X' and
-  trailing '. The caller must supply whichever of those is desired.
-*/
-
-uint32_t
-drizzle_hex_string(char *to, const char *from, uint32_t length)
-{
-  char *to0= to;
-  const char *end;
-            
-  for (end= from + length; from < end; from++)
-  {
-    *to++= _dig_vec_upper[((unsigned char) *from) >> 4];
-    *to++= _dig_vec_upper[((unsigned char) *from) & 0x0F];
-  }
-  *to= '\0';
-  return (uint32_t) (to-to0);
-}
-
-/*
   Add escape characters to a string (blob?) to make it suitable for a insert
   to should at least have place for length*2+1 chars
   Returns the length of the to string

=== modified file 'libdrizzle/libdrizzle.h'
--- libdrizzle/libdrizzle.h	2008-10-22 21:31:15 +0000
+++ libdrizzle/libdrizzle.h	2008-11-15 18:36:31 +0000
@@ -53,8 +53,6 @@
   unsigned int drizzle_get_default_port(void);
   uint32_t drizzle_escape_string(char *to,const char *from,
                                  uint32_t from_length);
-  uint32_t drizzle_hex_string(char *to,const char *from,
-                              uint32_t from_length);
 
 #ifdef  __cplusplus
 }

=== modified file 'libdrizzle/libdrizzle_priv.c'
--- libdrizzle/libdrizzle_priv.c	2008-10-23 02:48:56 +0000
+++ libdrizzle/libdrizzle_priv.c	2008-11-15 18:36:31 +0000
@@ -24,11 +24,6 @@
 #include <poll.h>
 #include <fcntl.h>
 
-const char _dig_vec_upper[] =
-  "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
-const char _dig_vec_lower[] =
-  "0123456789abcdefghijklmnopqrstuvwxyz";
-
 const char  *unknown_sqlstate= "HY000";
 const char  *not_error_sqlstate= "00000";
 const char  *cant_connect_sqlstate= "08001";

=== modified file 'libdrizzle/libdrizzle_priv.h'
--- libdrizzle/libdrizzle_priv.h	2008-11-15 06:20:12 +0000
+++ libdrizzle/libdrizzle_priv.h	2008-11-15 18:36:31 +0000
@@ -28,14 +28,6 @@
                              CLIENT_TRANSACTIONS |                      \
                              CLIENT_SECURE_CONNECTION)
 
-#if defined(__GNUC__)
-#define __private_extern__ __attribute__((visibility("hidden"))) extern
-#else
-#define __private_extern__ extern
-#endif
-
-__private_extern__ unsigned int drizzle_port;
-
 #if !defined(__GNUC__) || (__GNUC__ == 2 && __GNUC_MINOR__ < 96)
 #define __builtin_expect(x, expected_value) (x)
 #endif
@@ -48,9 +40,6 @@
 #define min(a, b)       ((a) < (b) ? (a) : (b))
 #endif
 
-__private_extern__ const char _dig_vec_upper[];
-__private_extern__ const char _dig_vec_lower[];
-
 const char * sqlstate_get_unknown(void);
 const char * sqlstate_get_not_error(void);
 const char * sqlstate_get_cant_connect(void);

=== modified file 'libdrizzle/password.c'
--- libdrizzle/password.c	2008-10-22 21:18:04 +0000
+++ libdrizzle/password.c	2008-11-15 18:36:31 +0000
@@ -180,6 +180,8 @@
 
 char *octet2hex(char *to, const char *str, uint32_t len)
 {
+  static const char _dig_vec_upper[]= "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
+
   const char *str_end= str + len; 
   for (; str != str_end; ++str)
   {

